Ports - Bug #228

wlan0 disappears after hibernation
2012-11-22 10:31 AM - ilbou

Status: info needed % Done: 0%
Priority: critical

Assignee:

Category:

Description

How to reproduce:

1. sudo pm-hibernate

2. turn your machine back on
3. check wlan0 with ip link

Kernel:

3.6.3-1 LIBRE

History

#2 - 2012-11-24 01:03 PM - mtjm

As stated in https:/lists.parabolagnulinux.org/pipermail/assist/2012-November/000084.html, it did not occur with 3.5.4-1. Probably no one here knows
how to fix it or find what exact change introduced this bug.

#3 - 2012-11-25 04:20 AM - sandy

How can | rollback to 3.5.4-1?

#4 - 2012-11-26 01:59 PM - mtjm

http://repo.parabolagnulinux.org/libre/os/mips64el/linux-libre-3.5.4-1-mips64el.pkg.tar.xz might still have the package. | don't know what else depends
on the kernel being newer, make sure you can fix it before downgrading if it doesn't boot.

#5 - 2012-12-02 02:32 PM - plog

Will | be able to install new packages if | rollback to it?
AFAICT, partial upgrades are not supported.

#6 - 2012-12-02 02:48 PM - plog
I've just checked 3.6.8-1-LIBRE; same problem.

#7 - 2012-12-04 06:07 PM - loginn

1\ I'm getting "yeeloong_laptop config not found!!" on this step:
http://wiki.archlinux.org/index.php/Kernels/Compilation/Traditional#localmodconfig

Where can | find it?

Can | use the following file? Where should | move it?
/usr/lib/modules/3.6.8-1-1-LIBRE/kernel/drivers/platform/mips/yeeloong_laptop.ko.gz
2\ Is it necessary to adapt this guide to make it work on yeeloong?

#8 - 2012-12-18 06:31 AM - fauno

it seems that usb altogether doesn't work after resuming, maybe compiling usbcore as a module again could be useful?

#9 - 2012-12-23 05:23 PM - plexton
| can't reproduce this bug in 3.4.23(0). (I compiled it using localmodconfig.)

Could you package this version and place it in the community repo?

PS: It's necessary to apply a patch to avoid an error, which is probably not related to this bug.
http://repo.parabolagnulinux.org/libre/os/mips64el/linux-libre-3.5.4-1-mips64el.pkg.tar.xz
http://wiki.archlinux.org/index.php/Kernels/Compilation/Traditional#localmodconfig

(0) http:/linux-libre.fsfla.org/pub/linux-libre/lemote/gnewsense/pool/debuginfo/linux-build-3.4.24-gnu_0loongsonlibre_mipsel.tar.bz2

#10 - 2013-01-09 08:12 AM - chakl

| can't reproduce this bug in 3.4.23(0). (I compiled it using localmodconfig.)

The above is not true. It turned out that wlan0 appears after hibernation and it is possible to scan using iwlist, but it is not possible to connect to any
network using wpa_supplicant. (Reboot solves the problem.) Why does it fail?

#11 - 2016-05-11 11:57 PM - Anonymous

- Project changed from 3 to Ports
